sa_list:
  label: Expanded list
  namespace: Organisms/TM - Announcements
  use: '@organisms/tm-sa/sa-list/sa-list.twig'
  description: List
  libraries:
    - sa_list_lib:
        js:
          ../behaviors/sa-list.js: {}
        css:
          component:
            ../styles/sa-list.css: {weight: 10}

  fields:
    links:
      type: object
      label: Items
      preview:
        - text: 'Buses replace late evening trains between Derby and Matlock from tonight, Tuesday 5 November, until Friday 15th of November'
          intro: Follow the new and stay safe
          url: /somewhere
          extra: Keeping safe and social distancing when travelling with us
          block_status: major
        - text: 'Customer notice: Keeping safe and social distancing when travelling
            with us'
          intro: Follow the new and stay safe
          url: /somewhere
          extra: Keeping safe and social distancing when travelling with us
          block_status: major
        - text: 'Customer notice: Keeping safe and social distancing when travelling
            with us'
          url: /somewhere
          extra: Keeping safe and social distancing when travelling with us
          block_status: major

    footer:
      type: text
      label: Footer
      preview: '<a href="/" class="btn btn-sm btn-outline-default">View engineering works</a><a href="/" class="btn btn-sm btn-outline-default">View all service updates</a>'

  settings:
    expandable:
      label: Expandable
      type: boolean
      preview: false
      default: false
